Bug 10420 - tail -f crashes on directories
Summary: tail -f crashes on directories
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: textutils (Show other bugs)
(Show other bugs)
Version: 6.2
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Bernhard Rosenkraenzer
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-03-29 19:34 UTC by Joshua Jensen
Modified: 2008-05-01 15:37 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-04-06 14:21:52 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Joshua Jensen 2000-03-29 19:34:43 UTC
tail -f /etc/sysctl.conf /etc/sysconfig/*

==> /etc/sysconfig/static-routes <==

tail: tail.c:718: recheck: Assertion `valid_file_spec (f)' failed.
Aborted (core
dumped)

[root@localhost /root]# file /etc/sysconfig/static-routes
/etc/sysconfig/static-routes: EMPTY file

Then I used pico to put one blank line into the file

/etc/sysconfig/static-routes:   ASCII text

tail still crashes.  It shouldn't do this for an emtpy file, esp. after
I tell it that it is an ASCII text file with a blank line.

Joshua

Comment 1 Tim Waugh 2000-04-06 13:58:59 UTC
Here's a smaller test case that demonstrates the real problem:

tail -f /

Comment 2 Tim Waugh 2000-04-06 14:21:59 UTC
This is fixed in <URL:ftp://alpha.gnu.org/gnu/fetish/textutils-2.0e.tar.gz>.


Note You need to log in before you can comment on or make changes to this bug.